Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface Security

All Known Subinterfaces:
  EditableSecurity

    public interface Security

An interface to define security accessors for a WCM item Note that all methods query or update the repository directly Any updates to security will be immedaiately applied Any queries on security will return the latest infomration from the repository

Since:
  7.0

Method Summary
`java.lang.String[]` | `getInheritedMembers(Access level)` Returns a string array of members who have inherited access at the specified level to the associated `Item`.
`java.lang.String[]` | `getMembers(Access level)` Returns a string array of members who have the specified access to the associated `Item`.
`boolean` | `hasAccess(Access level)` TODO: make clear in each method whether the access levels are nested TODO: i.e.
`boolean` | `hasAccess(UserProfile user, Access level)` Checks if the `UserProfile` has the specified access to the associated document.
`boolean` | `isInherited(Access level)` Checks if the specified `Access` level will be inherited from the parent of the associated `Item`.

Method Detail

### hasAccess

    boolean hasAccess(Access level)

  TODO: make clear in each method whether the access levels are nested TODO: i.e. does hasAccess(Access.USER) return true if hasAccess(Access.MANAGER) returns true? Checks if the user of the associated `Workspace` has the specified access to the associated document.

  Parameters:
    `level` - the access level to check
  Returns:
    true if the user has the specified access to the associated document, false if not

### hasAccess

    boolean hasAccess(UserProfile user,
                      Access level)

  Checks if the `UserProfile` has the specified access to the associated document.

  Parameters:
    `user` - the UserProfile to perform the access check for
    `level` - the access level to check
  Returns:
    true if the user has the specified access to the specified document, false if not

### getMembers

    java.lang.String[] getMembers(Access level)

  Returns a string array of members who have the specified access to the associated `Item`. The strings are either common names or distinguished names, depending on the configuration of the Workspace.

  Returns:
    a string array of members that have the specified access
  See Also:
    `

    The returned array may contain the names of users or groups.

    Returns an empty array if no users or groups have the specified access level.

    This method does not return array of members who have inherited access.
    To get array of members who have inherited access use @link #getInheritedMembers()

    `

### getInheritedMembers

    java.lang.String[] getInheritedMembers(Access level)

  Returns a string array of members who have inherited access at the specified level to the associated `Item`.

  The returned array may contain the names of users or groups.

  Returns an empty array if no users or groups have inherited access at the specified level.

  Returns an empty array if no users or groups have inherited access at the specified level.

  Returns:
    a string array of members that have inherited User access to this `Document` object.

### isInherited

    boolean isInherited(Access level)

  Checks if the specified `Access` level will be inherited from the parent of the associated `Item`.

  Returns:
    true if access control is inherited, false if not

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD